## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check

# https://github.com/distribution/distribution
%global goipath         github.com/distribution/distribution/v3
Version:                3.0.0
%global commit          0122d7ddaec0be0f16a788ed7b4130b444c21df1

%gometa

%global common_description %{expand:
The Docker toolset to pack, ship, store, and deliver content.

This repository's main product is the Docker Registry 2.0 implementation for
storing and distributing Docker images. It supersedes the docker/docker-registry
project with a new API design, focused around security and performance.}

%global golicenses      LICENSE
%global godocs          docs BUILDING.md CONTRIBUTING.md README.md ROADMAP.md

Name:           %{goname}
Release:        %autorelease -p -e pre1
Summary:        Docker toolkit to pack, ship, store, and deliver container content

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestHTTPChecker" \
            "TestFileReaderSeek" \
            "TestListObjectsV2" \
            "TestGracefulShutdown" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%if 0%{?__isa_bits} == 32
%gocheck -d registry/storage/driver/inmemory \
         -d registry/handlers \
         -d registry/storage/driver/swift \
         -d registry/storage/driver/filesystem
%else
%gocheck -d registry/storage/driver/inmemory \
         -d registry/handlers
%endif
%endif

%files
%license LICENSE
%doc docs BUILDING.md CONTRIBUTING.md README.md ROADMAP.md
%{_bindir}/digest
%{_bindir}/registry-api-descriptor-template
%{_bindir}/registry

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.0.0-0.2.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 22 2022 Robert-André Mauchin <zebob.m@gmail.com> 3.0.0-0.1.pre1
- Update to 3.0.0 pre1

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 2.8.0~beta.1-5
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.8.0~beta.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 2.8.0~beta.1-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.8.0~beta.1-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Feb 03 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.8.0~beta.1-1
- Initial import
